Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 444742 - net-fs/autofs-5.0.6-r3 unable to mount NFS on HPPA: do_mount_indirect: path to be mounted is to long
Summary: net-fs/autofs-5.0.6-r3 unable to mount NFS on HPPA: do_mount_indirect: path t...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: HPPA Linux
: Normal normal (vote)
Assignee: Gentoo Kernel Bug Wranglers and Kernel Maintainers
URL: http://thread.gmane.org/gmane.linux.p...
Whiteboard: linux-3.8
Keywords: PATCH
Depends on:
Blocks:
 
Reported: 2012-11-25 23:01 UTC by Jim Faulkner
Modified: 2013-03-17 19:19 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Faulkner 2012-11-25 23:01:06 UTC
I'm unable to get net-fs/autofs-5.0.6-r3 to mount an NFSv3 or NFSv4 filesystem on my HPPA machine.  

NFSv4 example:
My auto.master:
/mnt/auto /etc/autofs/auto.portage --timeout=5 --ghost
My /etc/autofs/auto.portage:
portage         -fstype=nfs4,rw,intr    mrwendal.cs.yale.edu:/portage

automount debug output when I try to access /mnt/auto/portage:

baffle ~ # automount -dvf
Starting automounter version 5.0.6, master map auto.master
using kernel protocol version 5.02
lookup_nss_read_master: reading master files auto.master
parse_init: parse(sun): init gathered global options: (null)
lookup_read_master: lookup(file): read entry /mnt/auto
master_do_mount: mounting /mnt/auto
automount_path_to_fifo: fifo name /var/run/autofs.fifo-mnt-auto
lookup_nss_read_map: reading map file /etc/autofs/auto.portage
parse_init: parse(sun): init gathered global options: (null)
mounted indirect on /mnt/auto with timeout 5, freq 2 seconds
st_ready: st_ready(): state = 0 path /mnt/auto
ghosting enabled
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
handle_packet: type = 3
handle_packet_missing_indirect: token 0, name , request pid 0
do_mount_indirect: path to be mounted is to long
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
^Cdo_notify_state: signal 2
master_notify_state_change: sig 2 switching /mnt/auto from 1 to 5
st_prepare_shutdown: state 1 path /mnt/auto
expire_proc: exp_proc = 1076016256 path /mnt/auto
expire_cleanup: got thid 1076016256 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1076016256 finished, switching from 5 to 7
st_shutdown: state 5 path /mnt/auto
umount_multi: path /mnt/auto incl 0
rm_unwanted_fn: removing directory /mnt/auto/portage
umount_autofs_indirect: ask umount returned busy /mnt/auto
umounted indirect mount /mnt/auto
automount_path_to_fifo: fifo name /var/run/autofs.fifo-mnt-auto

shut down path /mnt/auto
autofs stopped
baffle ~ # 

NFSv3 example:
My /etc/autofs/auto.portage:
portage         -fstype=nfs,v3,rw,intr  mrwendal.cs.yale.edu:/portage

automount debug output when I try to access /mnt/auto/portage:

baffle ~ # automount -dvf
Starting automounter version 5.0.6, master map auto.master
using kernel protocol version 5.02
lookup_nss_read_master: reading master files auto.master
parse_init: parse(sun): init gathered global options: (null)
lookup_read_master: lookup(file): read entry /mnt/auto
master_do_mount: mounting /mnt/auto
automount_path_to_fifo: fifo name /var/run/autofs.fifo-mnt-auto
lookup_nss_read_map: reading map file /etc/autofs/auto.portage
parse_init: parse(sun): init gathered global options: (null)
mounted indirect on /mnt/auto with timeout 5, freq 2 seconds
st_ready: st_ready(): state = 0 path /mnt/auto
ghosting enabled
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
handle_packet: type = 3
handle_packet_missing_indirect: token 0, name , request pid 0
do_mount_indirect: path to be mounted is to long
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
st_expire: state 1 path /mnt/auto
expire_proc: exp_proc = 1074963584 path /mnt/auto
expire_cleanup: got thid 1074963584 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1074963584 finished, switching from 2 to 1
st_ready: st_ready(): state = 2 path /mnt/auto
^Cdo_notify_state: signal 2
master_notify_state_change: sig 2 switching /mnt/auto from 1 to 5
st_prepare_shutdown: state 1 path /mnt/auto
expire_proc: exp_proc = 1076016256 path /mnt/auto
expire_cleanup: got thid 1076016256 path /mnt/auto stat 0
expire_cleanup: sigchld: exp 1076016256 finished, switching from 5 to 7
st_shutdown: state 5 path /mnt/auto
umount_multi: path /mnt/auto incl 0
rm_unwanted_fn: removing directory /mnt/auto/portage
umount_autofs_indirect: ask umount returned busy /mnt/auto
umounted indirect mount /mnt/auto
automount_path_to_fifo: fifo name /var/run/autofs.fifo-mnt-auto
shut down path /mnt/auto
autofs stopped
baffle ~ #

Reproducible: Always




baffle ~ # emerge --info
Portage 2.1.11.31 (default/linux/hppa/10.0/server, gcc-4.5.4, glibc-2.14.1-r3, 3.6.7 parisc64)
=================================================================
System uname: Linux-3.6.7-parisc64-PA8500_-PCX-W-with-gentoo-2.1
Timestamp of tree: Sun, 25 Nov 2012 03:00:01 +0000
ld GNU ld (GNU Binutils) 2.22
app-shells/bash:          4.2_p37
dev-lang/python:          2.7.3-r2, 3.2.3-r1
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.1-r1
sys-apps/openrc:          0.9.8.4
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.11.6
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.4
sys-devel/gcc-config:     1.7.3
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.4-r2 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r3
Repositories: gentoo
ACCEPT_KEYWORDS="hppa"
ACCEPT_LICENSE="* -@EULA"
CBUILD="hppa2.0-unknown-linux-gnu"
CFLAGS="-march=2.0 -O2 -pipe -fomit-frame-pointer"
CHOST="hppa2.0-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=2.0 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-march=2.0 -O2 -pipe -fomit-frame-pointer"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS="-march=2.0 -O2 -pipe -fomit-frame-pointer"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2 -l 2.0"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY=""
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="berkdb bzip2 cli cracklib crypt cups cxx firefox foomaticdb fortran gdbm gpm hppa iconv imlib ipv6 libwww logrotate lzma mbox modules mudflap ncurses nls nptl offensive openmp pam pcre pppd readline session snmp spell ssl tcpd truetype unicode xml xml2 zlib" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="fbdev dummy" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON

baffle ~ #
Comment 1 Jim Faulkner 2012-11-25 23:04:23 UTC
baffle ~ # grep nfs4 /etc/fstab
mrwendal.cs.yale.edu:/portage   /usr/portage    nfs4    noauto          0 0
baffle ~ # mount /usr/portage
baffle ~ # mount | grep portage
mrwendal.cs.yale.edu:/portage on /usr/portage type nfs4 (rw,addr=128.36.233.162,clientaddr=128.36.233.169)
baffle ~ #
Comment 2 Jim Faulkner 2012-11-25 23:05:53 UTC
I am able to mount NFSv4 filesystems fine, as the above comment demonstrates.  It seems that the problem is with autofs.
Comment 3 Jeroen Roovers gentoo-dev 2013-02-04 12:49:32 UTC
You're running a 64-bit kernel with a 32-bit userland - the linux-parisc mailing has a discussion about a kernel patch to address this issue, currently. Perhaps you could try the attached patch.
Comment 4 Jim Faulkner 2013-02-05 20:58:04 UTC
Confirmed, after building linux-3.7.6 with the patch from http://thread.gmane.org/gmane.linux.ports.parisc/4767 autofs works just fine.

baffle ~ # uname -a
Linux baffle 3.7.6 #1 Tue Feb 5 15:11:05 EST 2013 parisc64 PA8500 (PCX-W) 9000/785/C3000 GNU/Linux
baffle ~ # cat /etc/autofs/auto.portage 
portage         -fstype=nfs4,rw,intr    mrwendal.cs.yale.edu:/portage
baffle ~ # ls /mnt/auto/portage/
app-accessibility  dev-lang          gnome-base     net-mail           sys-block
app-admin          dev-libs          gnome-extra    net-misc           sys-boot
app-antivirus      dev-lisp          gnustep-apps   net-nds            sys-cluster
app-arch           dev-lua           gnustep-base   net-news           sys-devel
app-backup         dev-ml            gnustep-libs   net-nntp           sys-firmware
app-benchmarks     dev-perl          gpe-base       net-p2p            sys-freebsd
app-cdr            dev-php           gpe-utils      net-print          sys-fs
app-crypt          dev-python        header.txt     net-proxy          sys-infiniband
app-dicts          dev-ruby          java-virtuals  net-voip           sys-kernel
app-doc            dev-scheme        kde-base       net-wireless       sys-libs
app-editors        dev-tcltk         kde-misc       net-zope           sys-power
app-emacs          dev-tex           licenses       perl-core          sys-process
app-emulation      dev-texlive       lxde-base      profiles           virtual
app-forensics      dev-util          mail-client    razorqt-base       www-apache
app-i18n           dev-vcs           mail-filter    rox-base           www-apps
app-laptop         distfiles         mail-mta       rox-extra          www-client
app-misc           eclass            media-fonts    sci-astronomy      www-misc
app-mobilephone    games-action      media-gfx      sci-biology        www-plugins
app-office         games-arcade      media-libs     sci-calculators    www-servers
app-officeext      games-board       media-plugins  sci-chemistry      x11-apps
app-pda            games-emulation   media-radio    sci-electronics    x11-base
app-portage        games-engines     media-sound    sci-geosciences    x11-drivers
app-shells         games-fps         media-tv       sci-libs           x11-libs
app-text           games-kids        media-video    sci-mathematics    x11-misc
app-vim            games-misc        metadata       sci-misc           x11-plugins
app-xemacs         games-mud         net-analyzer   sci-physics        x11-proto
dev-ada            games-puzzle      net-dialup     sci-visualization  x11-terms
dev-cpp            games-roguelike   net-dns        scripts            x11-themes
dev-db             games-rpg         net-firewall   sec-policy         x11-wm
dev-dotnet         games-server      net-fs         skel.ChangeLog     xfce-base
dev-embedded       games-simulation  net-ftp        skel.ebuild        xfce-extra
dev-games          games-sports      net-im         skel.metadata.xml
dev-haskell        games-strategy    net-irc        sys-apps
dev-java           games-util        net-libs       sys-auth
baffle ~ #
Comment 5 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-03-06 11:11:08 UTC
> Confirmed, after building linux-3.7.6 with the patch from http://thread.gmane.org/gmane.linux.ports.parisc/4767 autofs works just fine.

This patch seems to be present in the 3.8 branch, upstream has also backported it to the 3.4 branch; this is not present in EOL kernels. I'll hear what the right approach to deal with this is, meanwhile you can apply it as an user patch until you can use the 3.8 branch.
Comment 6 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2013-03-17 19:19:43 UTC
Amongst other changes, I pushed this out as a backported fix to 3.7 a moment ago:

+  17 Mar 2013; Tom Wijsman <TomWij@gentoo.org> +gentoo-sources-3.2.40-r1.ebuild,
+  +gentoo-sources-3.6.11-r2.ebuild, +gentoo-sources-3.7.10-r1.ebuild,
+  +gentoo-sources-3.8.3-r1.ebuild, -gentoo-sources-3.0.67.ebuild,
+  -gentoo-sources-3.0.68.ebuild, -gentoo-sources-3.2.39.ebuild,
+  -gentoo-sources-3.2.40.ebuild, -gentoo-sources-3.4.35.ebuild,
+  -gentoo-sources-3.8.1.ebuild, -gentoo-sources-3.8.2.ebuild,
+  -gentoo-sources-3.8.3.ebuild:
+  Revision bumps for 3.2.40, 3.6.11, 3.7.10 and 3.8.3 and removal of
+  intermediate versions: Revert memcg patches that prevent OOM with too many
+  dirty pages which caused ZFS to flush dirty pages to deadlock, see bug
+  #462066; in 3.6, 3.7 and 3.8. Backported fixes from 3.8 to 3.7 that affect
+  some of our Gentoo users. Backported one of these patches to 3.2 as well since
+  there was no 3.2 bump last week.